## r-cran-rcdklibs 2.3+dfsg

=== DESCRIPTION ===
Package: rcdklibs
Version: 2.3
Date: 2020-02-22
Authors@R: c(person('Rajarshi', 'Guha', role=c('aut'), email='rajarshi.guha@gmail.com'),
             person('Zachary', 'Charlop-Powers', role=c('cre'), email='zach.charlop.powers@gmail.com'),
             person('CDK Project', '', role=c('ctb', 'cph'), comment='CDK Java library contained in multiple jar files'))
Depends: R (>= 2.0.0), rJava (>= 0.9-8)
License: LGPL
Title: The CDK Libraries Packaged for R
Description: An R interface to the Chemistry Development Kit, a Java library
    for chemoinformatics. Given the size of the library itself, this package is
    not expected to change very frequently. To make use of the CDK within R, it is
    suggested that you use the 'rcdk' package. Note that it is possible to directly
    interact with the CDK using 'rJava'. However 'rcdk' exposes functionality in a more
    idiomatic way. The CDK library itself is released as LGPL and the sources can be
    obtained from <https://github.com/cdk/cdk>.
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-03-07 20:20:57 UTC; zachpowers
Author: Rajarshi Guha [aut],
  Zachary Charlop-Powers [cre],
  CDK Project [ctb, cph] (CDK Java library contained in multiple jar
    files)
Maintainer: Zachary Charlop-Powers <zach.charlop.powers@gmail.com>
Repository: CRAN
Date/Publication: 2020-03-08 18:30:02 UTC

=== debian/changelog ===
r-cran-rcdklibs (2.3+dfsg-8) unstable; urgency=medium

  * Depends: gettext (thanks for the hint to Andreas Beckmann)
    Closes: #988881

 -- Andreas Tille <tille@debian.org>  Fri, 21 May 2021 11:24:30 +0200

r-cran-rcdklibs (2.3+dfsg-7) unstable; urgency=medium

  * Source-only upload.

 -- Andreas Tille <tille@debian.org>  Thu, 08 Apr 2021 20:44:29 +0200

r-cran-rcdklibs (2.3+dfsg-6) unstable; urgency=medium

  * Add missing Depends libcdk-java
    Closes: #986467

 -- Andreas Tille <tille@debian.org>  Thu, 08 Apr 2021 10:46:24 +0200

r-cran-rcdklibs (2.3+dfsg-5) unstable; urgency=medium

  * Versioned (Build-)Depends to libcdk-java (>= 2.3.134.g1bb9a64587)
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2020 11:35:15 +0100

r-cran-rcdklibs (2.3+dfsg-4) unstable; urgency=medium

  * Provide more JARs to be included into CLASSPATH

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 22:01:21 +0200

r-cran-rcdklibs (2.3+dfsg-3) unstable; urgency=medium

  * Depends: libcdk-java

 -- Andreas Tille <tille@debian.org>  Tue, 14 Apr 2020 17:53:16 +0200

r-cran-rcdklibs (2.3+dfsg-2) unstable; urgency=medium

  * Fix d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 02 Apr 2020 21:30:22 +0200

r-cran-rcdklibs (2.3+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #954913)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Mar 2020 09:36:10 +0100

=== debian/control ===
Source: r-cran-rcdklibs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rjava,
               libcdk-java (>= 2.3.134.g1bb9a64587)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs.git
Homepage: https://cran.r-project.org/package=rcdklibs
Rules-Requires-Root: no

Package: r-cran-rcdklibs
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         libcdk-java (>= 2.3.134.g1bb9a64587),
         gettext
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Chemistry Development Kit (CDK) libraries packaged for GNU R
 An R interface to the Chemistry Development Kit, a Java library for
 chemoinformatics. Given the size of the library itself, this package is
 not expected to change very frequently. To make use of the CDK within R,
 it is suggested that you use the 'rcdk' package. Note that it is
 possible to directly interact with the CDK using 'rJava'. However 'rcdk'
 exposes functionality in a more idiomatic way. The CDK library itself is
 released as LGPL and the sources can be obtained from
 <https://github.com/cdk/cdk>.

## r-cran-rcdklibs 2.8%2Bdfsg

=== DESCRIPTION ===
Package: rcdklibs
Version: 2.8
Date: 2022-09-20
Authors@R: c(person('Rajarshi', 'Guha', role=c('aut'), email='rajarshi.guha@gmail.com'),
             person('Zachary', 'Charlop-Powers', role=c('cre'), email='zach.charlop.powers@gmail.com'),
             person('CDK Project', '', role=c('ctb', 'cph'), comment='CDK Java library contained in multiple jar files'))
Depends: R (>= 2.0.0), rJava
License: LGPL
Title: The CDK Libraries Packaged for R
Description: An R interface to the Chemistry Development Kit, a Java library
    for chemoinformatics. Given the size of the library itself, this package is
    not expected to change very frequently. To make use of the CDK within R, it is
    suggested that you use the 'rcdk' package. Note that it is possible to directly
    interact with the CDK using 'rJava'. However 'rcdk' exposes functionality in a more
    idiomatic way. The CDK library itself is released as LGPL and the sources can be
    obtained from <https://github.com/cdk/cdk>.
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-09-25 14:59:12 UTC; zcharlop-powers
Author: Rajarshi Guha [aut],
  Zachary Charlop-Powers [cre],
  CDK Project [ctb, cph] (CDK Java library contained in multiple jar
    files)
Maintainer: Zachary Charlop-Powers <zach.charlop.powers@gmail.com>
Repository: CRAN
Date/Publication: 2022-09-25 22:40:06 UTC

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-r,
                r-base-dev,
                r-cran-rjava,
-               libcdk-java (>= 2.3.134.g1bb9a64587)
-Standards-Version: 4.5.1
+               libcdk-java
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs.git
 Homepage: https://cran.r-project.org/package=rcdklibs
@@ -19,7 +19,7 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         libcdk-java (>= 2.3.134.g1bb9a64587),
+         libcdk-java,
          gettext
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-rcdklibs 2.8+dfsg

=== debian/changelog ===
r-cran-rcdklibs (2.8+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.8+dfsg
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Sep 2022 12:40:45 +0530

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                dh-r,
                r-base-dev,
                r-cran-rjava,
-               libcdk-java
-Standards-Version: 4.6.2
+               libcdk-java (>= 2.3.134.g1bb9a64587)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs.git
 Homepage: https://cran.r-project.org/package=rcdklibs
@@ -19,7 +19,7 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         libcdk-java,
+         libcdk-java (>= 2.3.134.g1bb9a64587),
          gettext
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/rcdklibs_([-\d.]*)\.tar\.gz

## r-cran-rcdklibs 2.9+dfsg

=== DESCRIPTION ===
Package: rcdklibs
Version: 2.9
Date: 2024-03-02
Authors@R: c(
  person('Rajarshi', 'Guha', ,'rajarshi.guha@gmail.com', role=c('aut'),
    comment = c(ORCID = "0000-0001-7403-8819")),
  person('Zachary', 'Charlop-Powers', ,'zach.charlop.powers@gmail.com',role=c('cre'), 
      comment = c(ORCID = "0000-0001-8816-4680")),
  person('CDK Project', '', role=c('ctb', 'cph'), comment='CDK Java library contained in multiple jar files'))
Depends: R (>= 2.0.0), rJava
License: LGPL
Title: The CDK Libraries Packaged for R
Description: An R interface to the Chemistry Development Kit, a Java library
    for chemoinformatics. Given the size of the library itself, this package is
    not expected to change very frequently. To make use of the CDK within R, it is
    suggested that you use the 'rcdk' package. Note that it is possible to directly
    interact with the CDK using 'rJava'. However 'rcdk' exposes functionality in a more
    idiomatic way. The CDK library itself is released as LGPL and the sources can be
    obtained from <https://github.com/cdk/cdk>.
RoxygenNote: 7.3.1
URL: https://cdk-r.github.io/rcdklibs/
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-03-03 03:28:12 UTC; zcpowers
Author: Rajarshi Guha [aut] (<https://orcid.org/0000-0001-7403-8819>),
  Zachary Charlop-Powers [cre] (<https://orcid.org/0000-0001-8816-4680>),
  CDK Project [ctb, cph] (CDK Java library contained in multiple jar
    files)
Maintainer: Zachary Charlop-Powers <zach.charlop.powers@gmail.com>
Repository: CRAN
Date/Publication: 2024-03-03 15:20:02 UTC

=== debian/changelog ===
r-cran-rcdklibs (2.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Jun 2024 09:16:14 +0900

r-cran-rcdklibs (2.8+dfsg-2) unstable; urgency=medium

  * Rebuild against latest libcdk-java and dependant libs
    Closes: #1040389
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 05 Jul 2023 15:29:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: r-cran-rcdklibs
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs.git
+Homepage: https://cran.r-project.org/package=rcdklibs
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rjava,
-               libcdk-java (>= 2.3.134.g1bb9a64587)
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcdklibs.git
-Homepage: https://cran.r-project.org/package=rcdklibs
-Rules-Requires-Root: no
+               libcdk-java
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rcdklibs
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         libcdk-java (>= 2.3.134.g1bb9a64587),
+         libcdk-java,
          gettext
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

JARS=cmlxom.jar \
     commons-math3 \
     guava.jar \
     jama.jar \
     jaxen.jar \
     vecmath.jar \
     xml-apis.jar \
     xom.jar

%:
	dh $@ --buildsystem R

override_dh_link:
	dh_link
	for jar in `ls /usr/share/java/*.jar | grep -v -e '[0-9]\.[0-9c]\+\.jar' -e '[0-9]\{8\}\.jar' -e 'SNAPSHOT\.jar'` ; do \
	    dh_link $${jar} $(debRdir)/$(cranNameOrig)/cont/`basename $${jar}` ; \
	done
#	for jar in `dpkg -L libcdk-java libbeam-java | grep  /usr/share/java/ | grep -v [0-9]\.[0-9]\.jar` ; do \
#	    dh_link $${jar} $(debRdir)/$(cranNameOrig)/cont/`basename $${jar}` ; \
#	done
#	for jar in $(JARS) ; do \
#	    dh_link /usr/share/java/$${jar} $(debRdir)/$(cranNameOrig)/cont/$${jar} ; \
#	done
